Bug 176799 - FC4 udev causes "Error: Input/output error: GET_DEVICE_ID on '/dev/usb/lp0'"
Summary: FC4 udev causes "Error: Input/output error: GET_DEVICE_ID on '/dev/usb/lp0'"
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: udev   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-02 23:42 UTC by Rick Richardson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 10:29:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Manual USBMON trace... (5.33 KB, text/plain)
2006-01-02 23:43 UTC, Rick Richardson
no flags Details
Automatic USBMON trace... (8.14 KB, text/plain)
2006-01-02 23:45 UTC, Rick Richardson
no flags Details
File: hplj10xx.rules (522 bytes, text/plain)
2006-01-03 00:00 UTC, Rick Richardson
no flags Details
File: /etc/hotplug/usb/hplj1020 (3.69 KB, text/plain)
2006-01-03 00:01 UTC, Rick Richardson
no flags Details

Description Rick Richardson 2006-01-02 23:42:19 UTC
FC3 worked.  But FC4 does not.

FC4: manual DL
--------------
<power cycle printer>

# usb_printerid /dev/usb/lp0
GET_DEVICE_ID string:
MFG:Hewlett-Packard;MDL:HP LaserJet 1020;CMD:ACL;CLS:PRINTER;DES:HP LaserJet 1020;

# cp /usr/share/foo2zjs/firmware/sihp1020.dl /dev/usb/lp0

# usb_printerid /dev/usb/lp0
GET_DEVICE_ID string:
MFG:Hewlett-Packard;MDL:HP LaserJet 1020;CMD:ACL;CLS:PRINTER;DES:HP LaserJet
1020;FWVER:20041129;

Everything works!!!


FC4: automatic DL via /etc/udev/rules.d/11-hplj10xx.rules
---------------------------------------------------------
<power cycle printer>

# usb_printerid /dev/usb/lp0
Error: Input/output error: GET_DEVICE_ID on '/dev/usb/lp0'

Broken!!!

Comment 1 Rick Richardson 2006-01-02 23:43:50 UTC
Created attachment 122696 [details]
Manual USBMON trace...

Comment 2 Rick Richardson 2006-01-02 23:45:16 UTC
Created attachment 122697 [details]
Automatic USBMON trace...

Comment 3 Rick Richardson 2006-01-03 00:00:23 UTC
Created attachment 122700 [details]
File: hplj10xx.rules

Comment 4 Rick Richardson 2006-01-03 00:01:42 UTC
Created attachment 122701 [details]
File: /etc/hotplug/usb/hplj1020

Comment 5 Christian Iseli 2007-01-22 10:29:10 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.